Subject: Re: bug#30204: 27.0.50; Changing major mode resets non-default invisibility spec

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 05 Sep 2021 12:12:18 +0200

Eli Zaretskii <[email-masked]> writes:

> We could.  But my understanding of the original report is that it
> isn't limited to Fundamental mode, it expects a switch to _any_ mode
> to do the same.

Yes, so this wouldn't fix this, per se.  We'd just document that
changing modes doesn't clear everything out (in some obscure corner
cases), and then provide this new mode for those corner cases.

Actually, that's a function that's I've wanted before -- I sometimes
find myself in a buffer with lots of...  stuff, and then resorting to
saving, killing the buffer and then loading the contents to be sure that
I'm rid of all local variables/overlays/text properties/etc.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no